POST api/rfidreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "e653a5a6-11e6-4134-9247-2b4eb991917b",
"ip": "sample string 2",
"name": "sample string 3",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "4d5b4f82-451b-4ec3-b12b-3a9d32b9f4a3",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "e9aaca6f-050e-4ddb-806e-046f720a37ac",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>e653a5a6-11e6-4134-9247-2b4eb991917b</id> <ip>sample string 2</ip> <name>sample string 3</name> <power>1.1</power> <rfid_reader_type_id>e9aaca6f-050e-4ddb-806e-046f720a37ac</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>4d5b4f82-451b-4ec3-b12b-3a9d32b9f4a3</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e6efc1aa-fd7c-453e-a9d3-a65fcb4812fc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e6efc1aa-fd7c-453e-a9d3-a65fcb4812fc</guid>